Bug 16705 - Status missing in Opac, serials subscription history
Summary: Status missing in Opac, serials subscription history
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: duy tinh
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-10 10:05 UTC by duy tinh
Modified: 2017-12-07 22:16 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16705 - Add missing status The bug is related to 10851. Due to add of status in 10851, status added were missing in opac-detail.tt and opac-full-serial-issues.tt. The patch just added these missing status. (5.69 KB, patch)
2016-06-10 11:23 UTC, duy tinh
Details | Diff | Splinter Review
Bug 16705 - Add missing status The bug is related to 10851. Due to add of status in 10851, status added were missing in opac-detail.tt and opac-full-serial-issues.tt. The patch just added these missing status. (5.83 KB, patch)
2016-06-15 18:31 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16705 - Add missing status to serials history in OPAC (5.90 KB, patch)
2016-06-15 18:36 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 16705 - Add missing status to serials history in OPAC (5.97 KB, patch)
2016-06-19 14:29 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description duy tinh 2016-06-10 10:05:40 UTC
Status like Missing (never received), Missing (sold out), Missing (damaged), Missing (lost) can be assigned in Intranet, but missing in Opac. Related to bug_10851.
Comment 1 duy tinh 2016-06-10 11:23:39 UTC Comment hidden (obsolete)
Comment 2 duy tinh 2016-06-15 12:08:23 UTC
Comment on attachment 52221 [details] [review]
Bug 16705 - Add missing status The bug is related to 10851. Due to add of status in 10851, status added were missing in opac-detail.tt and opac-full-serial-issues.tt. The patch just added these missing status.

>From c5905e53f8b11af13743dce1ad88c89c2f09ba93 Mon Sep 17 00:00:00 2001
>From: NguyenDuyTinh <duy-tinh.nguyen@biblibre.com>
>Date: Fri, 10 Jun 2016 10:14:12 +0000
>Subject: [NEED SIGN OFF] Bug 16705 - Add missing status 
> The bug is related to 10851.
> Due to add of status in 10851, status added were missing in opac-detail.tt
> and opac-full-serial-issues.tt. The patch just added these missing status.
>
>To test:
>1) Create New subscription in Serials, in Intranet
>2) Do a search of the new subscription by Title
>3) Take Serial receive as Actions to edit the status to Missing (<something>)
>4) Go to Opac and Search the subscription created, by its title and See missing status
>5) Apply patch, status must be showed.
>6) Sign off
>---
> .../opac-tmpl/bootstrap/en/modules/opac-detail.tt  | 31 +++++++++-------------
> .../en/modules/opac-full-serial-issues.tt          |  4 +++
> 2 files changed, 16 insertions(+), 19 deletions(-)
>
>diff --git a/koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-detail.tt b/koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-detail.tt
>index fe72d01..fe8e606 100644
>--- a/koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-detail.tt
>+++ b/koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-detail.tt
>@@ -832,25 +832,18 @@
>                                                 <td>[% latestserial.serialseq %]</td>
>                                                 <td>[% latestserial.planneddate %]</td>
>                                                 <td>
>-                                                    [% IF ( latestserial.status1 ) %]
>-                                                        Awaited
>-                                                    [% ELSE %]
>-                                                        [% IF ( latestserial.status2 ) %]
>-                                                            Arrived
>-                                                        [% ELSE %]
>-                                                            [% IF ( latestserial.status3 ) %]
>-                                                                Late
>-                                                            [% ELSE %]
>-                                                                [% IF ( latestserial.status4 ) %]
>-                                                                    Missing
>-                                                                [% ELSE %]
>-                                                                    [% IF ( latestserial.status5 ) %]
>-                                                                        Not issued
>-                                                                    [% END %]
>-                                                                [% END %]
>-                                                            [% END %]
>-                                                        [% END %]
>-                                                    [% END %]
>+                                                    [% IF (latestserial.status1 ) %]Expected[% END %]
>+                                                    [% IF (latestserial.status2 ) %]Arrived[% END %]
>+                                                    [% IF (latestserial.status3 ) %]Late[% END %]
>+                                                    [% IF (latestserial.status4 ) %]Missing[% END %]
>+                                                        [% IF (latestserial.status41 ) %]Missing (never received)[% END %]
>+                                                        [% IF (latestserial.status42 ) %]Missing (sold out)[% END %]
>+                                                        [% IF (latestserial.status43 ) %]Missing (damaged)[% END %]
>+                                                        [% IF (latestserial.status44 ) %]Missing (lost)[% END %]
>+                                                    [% IF (latestserial.status5 ) %]Not issued[% END %]
>+                                                    [% IF (latestserial.status6 ) %]Delete[% END %]
>+                                                    [% IF (latestserial.status7 ) %]Claimed[% END %]
>+                                                    [% IF (latestserial.status8 ) %]Stopped[% END %]                              
>                                                 </td>
>                                                 <td>[% latestserial.notes %]</td>
>                                             </tr>
>diff --git a/koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-full-serial-issues.tt b/koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-full-serial-issues.tt
>index dbe1e11..e633dd3 100644
>--- a/koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-full-serial-issues.tt
>+++ b/koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-full-serial-issues.tt
>@@ -112,6 +112,10 @@
>                                                     [% IF ( serial.status2 ) %]Arrived[% END %]
>                                                     [% IF ( serial.status3 ) %]Late[% END %]
>                                                     [% IF ( serial.status4 ) %]Missing[% END %]
>+                                                        [% IF ( serial.status41 ) %]Missing (never received)[% END %]
>+                                                        [% IF ( serial.status42 ) %]Missing (sold out)[% END %]
>+                                                        [% IF ( serial.status43 ) %]Missing (damaged)[% END %]
>+                                                        [% IF ( serial.status44 ) %]Missing (lost)[% END %]      
>                                                     [% IF ( serial.status5 ) %]Not available[% END %]
>                                                     [% IF ( serial.status6 ) %]Delete[% END %]
>                                                     [% IF ( serial.status7 ) %]Claimed[% END %]
>-- 
>2.7.4
Comment 3 Marc Véron 2016-06-15 18:31:28 UTC Comment hidden (obsolete)
Comment 4 Marc Véron 2016-06-15 18:36:31 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2016-06-19 14:29:04 UTC
Created attachment 52545 [details] [review]
[PASSED QA] Bug 16705 - Add missing status to serials history in OPAC

The bug is related to 10851. Due to add of status in 10851, status added were
missing in opac-detail.tt and opac-full-serial-issues.tt. The patch just added
these missing status.

To test:
1) Create New subscription in Serials, in Intranet
2) Do a search of the new subscription by Title
3) Take Serial receive as Actions to edit the status to Missing (<something>)
4) Go to Opac and Search the subscription created, by its title and See missing status
5) Apply patch, status must be showed.
6) Sign off

Followed test plan, works as expected.
Amended to format commit title and message.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Kyle M Hall 2016-06-24 11:58:51 UTC
Pushed to master for Koha 16.11, thanks Duy Tinh!
Comment 7 Frédéric Demians 2016-08-01 11:50:54 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 8 Julian Maurice 2016-08-16 12:42:18 UTC
Patches pushed to 3.22.x, will be in 3.22.10